php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #1996 OCI8 no longer compiles
Submitted: 1999-08-08 04:31 UTC Modified: 2006-07-17 08:06 UTC
From: mlemos at acm dot org Assigned:
Status: Closed Package: OCI8 related
PHP Version: 3.0 Latest CVS (08/08/1999) OS: Linux RH 5.2
Private report: No CVE-ID: None
 [1999-08-08 04:31 UTC] mlemos at acm dot org
It seems OCI8 support no longer compiles causing the following errors:

gcc -g -O2 -O2   -I. -I.  -I/home/oracle/oracle/app/oracle/product/8.0.5/rdbms/demo -I/home/oracle/oracle/app/oracle/product/8.0.5/network/public -I/home/oracle/oracle/app/oracle/product/8.0.5/plsql/public                   -I/root/gd1.3 -I/usr/include/mysql -I/usr/local/Hughes/include -I/usr/local/pgsql/include -I/usr/local/include -g -Wall   -c functions/oci8.c -o functions/oci8.o
functions/oci8.c: In function `php3_oci8_savedescfile':
functions/oci8.c:2706: warning: implicit declaration of function `open'
functions/oci8.c:2706: `O_RDONLY' undeclared (first use this function)
functions/oci8.c:2706: (Each undeclared identifier is reported only once
functions/oci8.c:2706: for each function it appears in.)
make: *** [functions/oci8.o] Error 1

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [1999-08-08 12:23 UTC] kara at cvs dot php dot net
Missing headers added in CVS
 
PHP Copyright © 2001-2019 The PHP Group
All rights reserved.
Last updated: Tue Aug 20 05:01:27 2019 UTC